org.h2.security.auth.impl

## Class StaticUserCredentialsValidator

- java.lang.Object
- - org.h2.security.auth.impl.StaticUserCredentialsValidator

All Implemented Interfaces:
  CredentialsValidator, Configurable

    public class StaticUserCredentialsValidator
    extends java.lang.Object
    implements CredentialsValidator

This credentials validator matches the user and password with the configured Usage should be limited to test purposes

### Constructor Summary

Constructors
Constructor and Description
`StaticUserCredentialsValidator()`
`StaticUserCredentialsValidator(java.lang.String userNamePattern, java.lang.String password)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(ConfigProperties configProperties)` configure the component
`boolean` `validateCredentials(AuthenticationInfo authenticationInfo)` Validate user credential.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaticUserCredentialsValidator

    public StaticUserCredentialsValidator()

#### StaticUserCredentialsValidator

    public StaticUserCredentialsValidator(java.lang.String userNamePattern,
                                          java.lang.String password)

### Method Detail

#### validateCredentials

    public boolean validateCredentials(AuthenticationInfo authenticationInfo)
                                throws AuthenticationException

Description copied from interface: `CredentialsValidator`
Validate user credential.

Specified by:
  `validateCredentials` in interface `CredentialsValidator`
Parameters:
  `authenticationInfo` - = authentication info
Returns:
  true if credentials are valid, otherwise false
Throws:
  `AuthenticationException`

#### configure

    public void configure(ConfigProperties configProperties)

Description copied from interface: `Configurable`
configure the component

Specified by:
  `configure` in interface `Configurable`
Parameters:
  `configProperties` - = configuration properties